Subject: bug#24129: RAID config boot hangs at [...] Clocksource: Switched to clocksource tsc

From: myglc2 <[email-masked]>
Date: Mon, 01 Aug 2016 22:48:26 -0400

myglc2 <[email-masked]> writes:

>
> And /var/log/sheperd.log contains:
>
> 2016-08-01 18:15:13 Service root has been started.
> 2016-08-01 18:15:13 ERROR: In procedure scm-error:
> 2016-08-01 18:15:13 ERROR: no code for module (gnu build file-systems)

In a valiant effort at self help I read the line above and thought
... maybe I should add ...

(use-modules (gnu build file-systems))

... to the config (system41.scm)

Unfortunately this didn't fix things but it did produce an interesting
result: 'guix system reconfigure system41.scm' hung but added new
generation. Hey! guix is not supposed to do that. I want my money back!!

Interestingly, when I set --verbosity=5, 'guix system ...' failed and
refrained from adding a new generation.

So, no fix, but maybe a wormhole to plug ;-)

Log attached.